#ifndef READWTB_LABELMAP_H
#define READWTB_LABELMAP_H

#include <stddef.h>
#include "wtruntime/wtruntime.h"

struct labelmap; /*  wt_u32  ->  char*  */

struct labelmap* labelmap_create(size_t size);
void labelmap_delete(struct labelmap* const labelmap);
size_t labelmap_count(struct labelmap* const labelmap); /* number of element in the map */
const char* labelmap_find(struct labelmap* const labelmap, const wt_u32 key);
int labelmap_add(struct labelmap* const labelmap, const wt_u32 key, const char* const value); /* value shall not be freed up */
void labelmap_remove(struct labelmap* const labelmap, const wt_u32 key);

#endif /* READWTB_LABELMAP_H */
